Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netapp.manage
Class NaProxyServer

    java.lang.Object
      netapp.manage.NaServer
          netapp.manage.NaProxyServer

public class NaProxyServer
extends NaServer

A class used to connect to proxy servers and invoke APIs.

Field Summary

Fields inherited from class netapp.manage.NaServer
`HOSTSEQUIV, KEYSTORE_TYPE_JKS, KEYSTORE_TYPE_PKCS12, LOGIN_PASSWORD, SERVER_TYPE_AGENT, SERVER_TYPE_DFM, SERVER_TYPE_FILER, SERVER_TYPE_NETCACHE, STYLE_CERTIFICATE, STYLE_HOSTSEQUIV, STYLE_LOGIN_PASSWORD, STYLE_RPC, TRANSPORT_TYPE_HTTP, TRANSPORT_TYPE_HTTPS`

Constructor Summary
`NaProxyServer(java.net.InetAddress address, java.lang.String target)` Create a proxy server object with the given host address.
`NaProxyServer(java.lang.String hostname, java.lang.String target)` Create a proxy server object with the given hostname.

Method Summary
`NaElement` | `invokeElem(NaElement xi)` Request that the proxy server invokes a single API request on the target host.
`void` | `setProxyTarget(java.lang.String target)` Set the target for this proxy server.
`void` | `setProxyUsername(java.lang.String username)` Set the username for this proxy server.

Methods inherited from class netapp.manage.NaServer
`close, disableHostnameVerification, disableServerCertVerification, enableHostnameVerification, enableServerCertVerification, getCookie, getPort, getServerType, getStyle, getTimeout, getTransportType, getVserver, getXMLParseInput, invokeElemForXML, isHostnameVerificationEnabled, isServerCertVerificationEnabled, setAdminUser, setApiVersion, setCookie, setKeepAliveEnabled, setKeyStore, setKeyStore, setKeyStoreType, setPort, setServerType, setSnoop, setStyle, setTimeout, setTransportType, setTrustStore, setVfilerTunneling, setVserver, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NaProxyServer

    public NaProxyServer(java.net.InetAddress address,
                         java.lang.String target)

  Create a proxy server object with the given host address.

Parameters:
  `address` - the address of the proxy server.
  `target` - the name of the target server

### NaProxyServer

    public NaProxyServer(java.lang.String hostname,
                         java.lang.String target)
                  throws java.net.UnknownHostException

  Create a proxy server object with the given hostname.

Parameters:
  `hostname` - the hostname of the proxy server
  `target` - the name of the target server
Throws:
  `java.net.UnknownHostException` - if the hostname is not known.

Method Detail

### setProxyTarget

    public void setProxyTarget(java.lang.String target)

  Set the target for this proxy server. The name is the hostname for the machine that the proxy should forward the request to. It could be an unqualified hostname, an fully-qualified domain name (FQDN) or an IP address. The proxy server may support additional types of target names, such as vfiler names.

  Parameters:
    `target` - the name of the target server

### setProxyUsername

    public void setProxyUsername(java.lang.String username)

  Set the username for this proxy server. The proxy server will attempt to use that user's account to execute the API. `null` is a valid value that means the server should use the highest privileged account available. Note that the server may have a security policy which restricts which values are valid for this field.

  Parameters:
    `username` - the username of the account to use, or `null`

### invokeElem

    public NaElement invokeElem(NaElement xi)
                         throws java.io.IOException,
                                NaAuthenticationException,
                                NaProxyFailedException,
                                NaAPIFailedException,
                                NaProtocolException

  Request that the proxy server invokes a single API request on the target host.

  Overrides:
    `invokeElem` in class `NaServer`
  Parameters:
    `xi` - The API element.
  Returns:
    Output results of the API.
  Throws:
    `java.io.IOException` - if there is a communication problem
    `NaAuthenticationException` - if the login was not accepted
    `NaProxyFailedException` - if the proxy server returned a failure result.
    `NaAPIFailedException` - if the target server returned a failure result.
    `NaProtocolException` - if there is a protocol problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD